<div class="wrap-allContent">
    <div class="allContent">
    <div class="bt-signin-sigup">
      <div class="bt-signin">{{ link_to('signin', lang['btn_signin']) }}</div>
      <div class="bt-signup active">{{ link_to('signup', lang['btn_signin']) }}</div>
    </div>
    
    <div class="wrap-box">
      <div class="wrap-box-content">
        
        <!-- Token ID หมดอายุ -->
        <div class="dialog" id="Status_Token_ID_Expire" style="display: none;">
            <div class="token-expire">
            <h4 class="title-dialog">{{lang['expired_token']}}</h4>
            <div class="detail-dialog message-show"></div>
            <div class="button-dialog">
                <ul class="buttonLists-dialog">
                <li>{{ link_to('signup', lang['accept']) }}</li>
              </ul>
            </div>
          </div>
        </div>


        <div class="dialog" id="Status_Token_ID_Yes" style="display: none;">
            <div class="token-expire">
            <h4 class="title-dialog">{{lang['token_confirmed_correctly']}}</h4>
            <div class="detail-dialog message-show"></div>
            <div class="button-dialog">
                <ul class="buttonLists-dialog">
                <li>{{ link_to('service/setpassword', lang['accept']) }}</li>
              </ul>
            </div>
          </div>
        </div>
        
        <!-- Token ID ผิดเกิน 3 ครั้ง -->
        <div class="dialog" id="Status_Token_ID_Suspended" style="display: none;">
            <div class="token-wrongs">
            <h4 class="title-dialog">{{lang['over_limit_incorrect_token']}}</h4>
            <div class="detail-dialog message-show"></div>
            <div class="button-dialog">
                <ul class="buttonLists-dialog">
                <li>{{ link_to('signup', lang['accept']) }}</li>
              </ul>
            </div>
          </div>
        </div>

        <!-- Message Alert -->
        <div class="dialog" id="Message_Alert" style="display: none;">
            <div class="token-wrongs">
            <h4 class="title-dialog">{{lang['lb_title_box_alert']}}</h4>
            <div class="detail-dialog message-show"></div>
            <div class="button-dialog">
                <ul class="buttonLists-dialog">
                <li>{{ link_to('signup/tokenform', lang['accept']) }}</li>
              </ul>
            </div>
          </div>
        </div>

        <?php $flashSess = $this->flashSession->output(); ?>


        <div class="dialog" id="Message_Alert_Token_Success" style="display: none;">
            <div class="token-wrongs">
            <h4 class="title-dialog">{{lang['lb_title_box_alert']}}</h4>
            <div class="detail-dialog message-show"></div>
            <div class="button-dialog">
                <ul class="buttonLists-dialog">
                <li>{{ link_to('signup', lang['accept']) }}</li>
              </ul>
            </div>
          </div>
        </div>
            
            {{ form('signup/tokenconfirm', 'method': 'post', 'name': 'frmSave', 'id': 'frmSave') }} 
            <div class="brand-logo">{{ image('themes/frontend/images/logo-notegang2.png', 'alt': '', 'width': 136, 'height': 42) }}</div>
            <div class="introduction">{{ lang['lb_signup_token_info_enter'] }} {{ link_to('signup/retoken', lang['lb_signup_token_click_retoken']) }}</div>
              <div class="formSignup"> 
                {% if isNoHasEmail %}
                <div class="wrap-textField">
                    <label for="email" class="label">{{ lang['lb_email'] }}</label>
                    {{ text_field('txt_email', 'class': 'text-field', 'id': 'txt_email') }}
                  
                  <!-- token has error >
                  <label for="token" class="label">Token ID</label><input type="text" class="text-field text-field-error" id="token" />
                  <div class="text-error">ขออภัยค่ะ Token ID ผิดพลาด กรุณาลองใหม่อีกครั้ง</div>
                  -->
                </div>
                {% endif %}

                <div class="wrap-textField">
                    <label for="token" class="label">{{lang['token_to_confirm']}}</label>
                    {{ text_field('txt_token_code', 'class': 'text-field', 'id': 'txt_token_code') }} 
                </div>
                
                <div class="wrap-buttonSubmit">
                  {{ submit_button('class': 'submit-bt', 'id': 'btn_next', 'value': lang['btn_next']) }}
                </div>
              </div>
            {{ end_form() }}
        </div>

        
      <!-- End wrap-box-content -->  
      </div>
    <!-- End wrap-box -->  
    </div>
    </div>
</div>
{{ javascript_include('assets/js/jquery.validate.js') }}

<script type="text/javascript"> //
    $(function(){
        $('#frmSave').validate({
            errorElement: 'div',
            errorClass: 'help-block text-error',
            focusInvalid: false,
            ignore: "",
            rules: { 
                "txt_email": {
                    required: {% if isNoHasEmail %} true {% else %} false {% endif %},
                    email: {% if isNoHasEmail %} true {% else %} false {% endif %},
                },
                "txt_token_code": {
                    required: true
                }
            },
            messages: {
                "txt_token_code": {
                    required: "{{ lang['msg_required_token_id'] }}"
                },
                "txt_email": {
                    required: "{{ lang['msg_required_email'] }}",
                    email: "{{ lang['msg_format_email'] }}"
                }
            },
            highlight: function (e) {
                $(e).closest('.form-group').removeClass('has-info').addClass('has-error');
            },
            success: function (e) {
                $(e).closest('.form-group').removeClass('has-error');//.addClass('has-info');
                $(e).remove();
            },
            errorPlacement: function (error, element) {
                error.insertAfter(element.parent());
            },
            submitHandler: function (form) {
                jQueryAjaxDataSubmit("frmSave", "json", callBackFunction);
            },
            invalidHandler: function (form) {
            }
        });
    });

    function callBackFunction(data) 
    {
        if (data.success) {
            $("#Status_Token_ID_Yes .message-show").html(data.msg);
            $("#Status_Token_ID_Yes").show();
            jQueryResetForm("frmSave");
        } else {
            if (data.option.status_token == "expired") {
                $("#Status_Token_ID_Expire .message-show").html(data.msg);
                $("#Status_Token_ID_Expire").show();
            } else if (data.option.status_token == "suspended") {
                $("#Status_Token_ID_Suspended .message-show").html(data.msg);
                $("#Status_Token_ID_Suspended").show();
            } else if (data.option.status_token == "invalid") { 
                $("#Message_Alert .message-show").html(data.msg);
                $("#Message_Alert").show();
            } else if (data.option.status_token == "succeeded") { 
                if (data.option.status_password) {
                    $("#Message_Alert_Token_Success .message-show").html(data.msg);
                    $("#Message_Alert_Token_Success").show();
                } else {
                    jQueryRedirectUrl("{{ url.get() }}service/passwordsetup", 200);
                }
            }
        }
        return false;
    }
</script>